#!/bin/sh
CONFIG="bcfy-config.json"
APIKEY="$( jq -r '.apiKey' "${CONFIG}" )"
FFMPEG_PATH="$( jq -r '.ffmpeg_path' "${CONFIG}" )"
FFMPEG_PATH=$(eval echo $FFMPEG_PATH)
DELETEFILES="$( jq -r '.deleteFiles' "${CONFIG}" )"
SYSTEMID="${1}"
NTPSTAT=/usr/bin/ntpstat

if [ ! "$SYSTEMID" ]; then
        echo "|============================================================================"
        echo "| *** !! Nop System ID Specified... please run this script with the systemID as a parameter"
	echo "| *** Exiting Now..."
        echo "|============================================================================"
	exit
else 
	echo "Using System ID: $SYSTEMID"
	echo "Using API Key: $APIKEY"
fi

if [ ! -f "${NTPSTAT}" ]; then
        echo "|============================================================================"
        echo "| *** !! ntpstat not installed... please install with sudo apt-get install ntp ntpstat"
	echo "| *** Exiting Now..."
        echo "|============================================================================"
	exit
else
	echo "NTP is installed."
fi

ntpstat > /dev/null 2>&1
if [ $? -ne 0 ];
then
        echo "|============================================================================"
        echo "| *** !! Time not synchd to time source.  Exiting..."
	echo "| *** Exiting Now..."
        echo "|============================================================================"
	exit
else
	echo "Time Sync Looks Good. "
fi

if [ ! -f "${FFMPEG_PATH}/ffmpeg" ]; then
        echo "|============================================================================"
        echo "| *** !! FFMPEG Binary Not Found. Currently Set to Directory: ${FFMPEG_PATH}/ffmpeg "
	echo "| *** Exiting..."
        echo "|============================================================================"
        exit
else
	echo "ffmpeg Looks Good. "
fi
if [ ! -f "${FFMPEG_PATH}/ffprobe" ]; then
        echo "|============================================================================"
        echo "| *** !! FFprobe Binary Not Found. Currently Set to Directory: ${FFMPEG_PATH}/ffprobe "
	echo "| *** Exiting..."
        echo "|============================================================================"
        exit
else
	echo "ffprobe Looks Good. "
fi

